<script setup lang="ts">
import { useOrderStore } from '@/stores/order';
import { usePaymentmethodStore } from "@/stores/paymentmethod";
import QRUplodeImageView from './QRUplodeImageView.vue';
const paymentStore = usePaymentmethodStore();
const orderStore = useOrderStore();
</script>

<template>
    <QRUplodeImageView></QRUplodeImageView>
    <v-card theme="light" height="919" outlined="false">
        <v-row class="mt-8">
            <v-col cols="5"></v-col>
            <v-col cols="5"><span class="fontTitle ml-14">ชำระเงิน</span></v-col>
        </v-row>
        <v-row class="mt-2">
            <v-col cols="5"></v-col>
            <v-col cols="5" class="mt-5"><v-img src="qrcode.jpg" width="250px"></v-img></v-col>
        </v-row>
        <v-row class="mt-5">
            <v-col cols="4"></v-col>
            <v-col cols="2"><span class="fontTitle ml-14">วิธีการชำระเงิน</span></v-col>
            <v-col><span class="fontTitle ml-14">QR Payment</span></v-col>
        </v-row>
        <v-row class="mt-5">
            <v-col cols="4"></v-col>
            <v-col cols="2"><span class="fontTitle ml-14">ชื่อบัญชี</span></v-col>
            <v-col><span class="fontTitle ml-14">บจก.อัลติเมทฮิวมังกาซอร์</span></v-col>
        </v-row>
        <v-row class="mt-5">
            <v-col cols="4"></v-col>
            <v-col cols="3"><span class="fontTitle ml-14">ยอดชำระเงินทั้งหมด</span></v-col>
            <v-col><span class="fontTitle ml-14">฿{{ orderStore.editedOrder.totalPrice.toLocaleString()
                    }}</span></v-col>
        </v-row>
        <v-row class="mt-5">
            <v-col cols="4"></v-col>
            <v-col cols="3"><span class="fontTitle ml-14">อัปโหลดรูปภาพ</span></v-col>
            <v-col>
                <!-- <v-btn width="200px" height="42px" class="font mt-3" @click="paymentStore.dialog = true"
                    style="border-radius: 5px; border: 1px solid rgba(0, 0, 0, 0.1);">
                    <v-icon icon="mdi-plus-circle-outline" size="35px" class="mt-1"></v-icon>
                    {{ orderStore.editedOrder.files.length === 0 ? 'อัปโหลดรูปภาพ' : orderStore.editedOrder.files[0].name }}
                </v-btn> -->
                <v-btn width="auto" height="42px" class="font mt-3" @click="paymentStore.dialog = true"
                    style="border-radius: 5px; border: 1px solid rgba(0, 0, 0, 0.1);">
                    <v-icon icon="mdi-plus-circle-outline" size="35px" class="mt-1"></v-icon>
                    {{ orderStore.editedOrder.files.length === 0 ? 'อัปโหลดรูปภาพ' :
                orderStore.editedOrder.files[0].name }}
                </v-btn>
            </v-col>
        </v-row>

        <v-row>
            <v-col cols="8" class="ml-13 mt-8">
                <span class="font ml-5">*เมื่อสแกน QR เรียบร้อยแล้วกรุณากดยืนยันเพื่อให้ระบบตรวจสอบ</span>
            </v-col>
            <v-col cols="3" class="ml-13 mt-8 ml-8">
                <!-- <v-btn to="/summaryproductsale" class="font">ยกเลิก</v-btn>
                <v-btn to="paymentsuccess" class="font ml-5" @click="orderStore.saveOrder">ยืนยัน</v-btn> -->
                <v-btn to="/summaryproductsale" class="font">ยกเลิก</v-btn>
                <v-btn v-if="orderStore.editedOrder.files.length !== 0 && orderStore.uploadImage === true"
                    to="paymentsuccess" class="font ml-5" @click="orderStore.saveOrder1">ยืนยัน</v-btn>
                <v-btn v-else class="font ml-5" disabled>ยืนยัน</v-btn>


            </v-col>
        </v-row>
    </v-card>
</template>

<style scoped>
.custom-text-field {
    width: 300px;
    height: 50px;
}

.fontTitle {
    text-align-last: center;
    font-family: fantasy;
    font-size: 35px;
    color: black;
}

.fontbtn {
    text-align-last: center;
    font-family: fantasy;
    font-size: 30px;
    color: black;
}

.font {
    text-align-last: center;
    font-family: fantasy;
    font-size: 20px;
    color: black;
}
</style>
